org.bouncycastle.jce.provider.test

## Class DESedeTest

- java.lang.Object
- - org.bouncycastle.util.test.SimpleTest
  - - org.bouncycastle.jce.provider.test.DESedeTest

All Implemented Interfaces:
  Test

    public class DESedeTest
    extends SimpleTest

basic test class for key generation for a DES-EDE block cipher, basically this just exercises the provider, and makes sure we are behaving sensibly, correctness of the implementation is shown in the lightweight test classes.

### Constructor Summary

Constructors
Constructor and Description
`DESedeTest()`

### Method Summary

Methods
`java.lang.String` `getName()`
`static void` `main(java.lang.String[] args)`
`void` `performTest()`
`void` `test(int strength, byte[] input, byte[] output)`

### Methods inherited from class org.bouncycastle.util.test.SimpleTest

`areEqual, fail, fail, fail, perform, runTest, runTest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DESedeTest

    public DESedeTest()

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `Test`
Specified by:
  `getName` in class `SimpleTest`

#### test

    public void test(int strength,
            byte[] input,
            byte[] output)

#### performTest

    public void performTest()

Specified by:
  `performTest` in class `SimpleTest`

#### main

    public static void main(java.lang.String[] args)